summaryrefslogtreecommitdiff
path: root/functions/defaults.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2009-01-14 20:30:21 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:09:39 +0100
commitb9f5121f535c0de65fab935a29bd3d6ad9dbc634 (patch)
tree465c103d614beb99147a294a2727d52bf2c1b7da /functions/defaults.sh
parentbebfa492f7d534c06c2a6adff21b242cfad6899d (diff)
downloadlive-build-b9f5121f535c0de65fab935a29bd3d6ad9dbc634.zip
live-build-b9f5121f535c0de65fab935a29bd3d6ad9dbc634.tar.gz
Adding check for currently not supported bootloader/image-type combinations.
Diffstat (limited to 'functions/defaults.sh')
-rwxr-xr-xfunctions/defaults.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/functions/defaults.sh b/functions/defaults.sh
index 71769cf..9f6d1ab 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -821,4 +821,17 @@ Check_defaults ()
;;
esac
fi
+
+ if [ "${LH_BINARY_IMAGES}" = "usb-hdd" ]
+ then
+ # grub or yaboot + usb-hdd
+ case "${LH_BOOTLOADER}" in
+ grub|yaboot)
+ Echo_warning "You have selected a combination of bootloader and image type that is currently"
+ Echo_warning "not supported by live-helper. Please use either another bootloader or a"
+ Echo_warning "different image type."
+ exit 1
+ ;;
+ esac
+ fi
}